## sox 1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: sox
 Type: Package
 Title: Structured Learning in Time-Dependent Cox Models
-Version: 1.1
-Date: 2023-12-10
+Version: 1.2
+Date: 2024-07-10
 Authors@R: c(person("Yi", "Lian", role = c("aut", "cre"), email = "yi.lian@mail.mcgill.ca"),
              person("Guanbo", "Wang", role = "aut"),
              person("Archer Y.", "Yang", role = "aut"),
@@ -21,11 +21,11 @@
 LinkingTo: Rcpp
 Suggests: testthat (>= 3.0.0)
 Config/testthat/edition: 3
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 LazyData: true
 Copyright: file inst/COPYRIGHTS
 NeedsCompilation: yes
-Packaged: 2023-12-11 17:13:39 UTC; YLIAN
+Packaged: 2024-07-10 16:02:00 UTC; YLIAN
 Author: Yi Lian [aut, cre],
   Guanbo Wang [aut],
   Archer Y. Yang [aut],
@@ -38,4 +38,4 @@
   Yuansi Chen [ctb]
 Maintainer: Yi Lian <yi.lian@mail.mcgill.ca>
 Repository: CRAN
-Date/Publication: 2023-12-11 17:30:02 UTC
+Date/Publication: 2024-07-15 18:50:02 UTC
