## sox 13.0.0-1build1-maemo1

=== debian/changelog ===
sox (13.0.0-1build1-maemo1) unstable; urgency=low

  * Removed dependencies to mad, samplerate, sndfile, gsm, etc.

 -- Terje Bergstrom <terje@terje.fi>  Sun, 30 Sep 2007 09:26:59 +0300

sox (13.0.0-1build1) gutsy; urgency=low

  * Rebuild for libflac transition.

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue,  3 Jul 2007 11:59:21 +1000

sox (13.0.0-1) unstable; urgency=low

  * New upstream version:
    - Huge amount of changes (closes: #345726, #274519, #257525).
    - Please see the upstream changelog.
    - Warning: some scripts may break with this new version.
    - Guenter set as co-maintainer.
    - soxmix no longer exists (closes:  #349178, #374096).
  * Taking over the package with Guenter's permission.
    - Thanks alot for all those years of maintenance!
  * [debian/control]:
    - Added build-depends on libsamplerate0-dev, libgsm1-dev and
      libsndfile1-dev.
    - Added !kfreebsd-amd64 to libasound2-dev (closes: #361487).
  * [debian/patches]: No more patches, everything is fixed upstream.
  * [debian/rules]: 
    - Added -D_REENTRANT as required by policy on libraries.
    - Added -Wl,-z,defs to enforce symbol resolution at build time.
    - Disabled shared library for now, see README.Debian.
  * [debian/README.Debian]:
    - Added instructions to build from CVS.
    - Added information as to why shared lib is disabled for now.

 -- Pascal Giard <pascal@debian.org>  Fri, 23 Feb 2007 12:07:50 -0500

sox (12.18.2-2) unstable; urgency=low

  * [debian/patches/01_fix_draining.patch]:
    - Unofficial patch from upstream that fixes all effects relying on
      draining. Thanks to Chris Bagwell <chris@cnpbagwell.com>.
  * [debian/copyright]: Removed reminiscence of the old version.
  * [debian/patches/03_fix_manpage_typos.patch]:
    - Fixed typos in sox.1 and play.1 manpages. Thanks to 
      A. Costa <agcosta@gis.net> (closes: #404290, #404288).

 -- Pascal Giard <pascal@debian.org>  Sat, 23 Dec 2006 14:09:53 -0500
	

sox (12.18.2-1) unstable; urgency=low

  * Changes by Pascal Giard <pascal@debian.org>
    - New upstream version (closes: #397388, #374369).
    - [debian/rules]: Compiling with -fPIC (closes: #390715).
    - [debian/control]: Standards-Version bumped to 3.7.2, -fPIC was required.
    - [debian/copyright]: Fixed license attribution (closes: #398723).
    - [debian/patches/06_eof.patch]: Deleted, fixed upstream.
  * Fixed date format in changelog
    - New upstream version (closes: #336542, #402862)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue,  5 Dec 2006 18:40:43 +0100

sox (12.17.9-1) unstable; urgency=low

  * New upstream version
  * Added ALSA support
  * Use play script from version 12.17.18 with multiple file support, I 
    do not dare to switch to the new behaviour and ALSA by default yet.

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 15 Dec 2005 12:47:16 +0100

sox (12.17.8-1) unstable; urgency=low

  * New upstream version
  * New standards version

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 22 Sep 2005 14:31:55 +0200

sox (12.17.7-2) unstable; urgency=low

  * Moved ststdint.h to -dev package
  * fixed disk full problem (0_eof.patch) (closes: #313206)
  * sox-dev replaces earlier sox versions, upgrading should be save
    (closes: #162942)
  * sox-dev includes st.h, st_i.h is only meant for sox internal use
    (closes: #254846)
  * Problem with rec script fixed upstream (closes: #272080)
  * Added soxexam.1 manpage (closes: #307661)
  * Applied patch for fixing -x behaviour (closes: #316346)
  * Applied manpage typo patch (closes: #302819)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 15 Jul 2005 18:22:03 +0200

sox (12.17.7-1) unstable; urgency=low

  * New upstream version
  * removed free comment patch
  * OGG serial number bug fixed upstream (closes: #277288)
  * Added headers for -dev package in .install file (closes: #254846)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 18 Mar 2005 12:43:34 +0100

sox (12.17.5-4) unstable; urgency=low

  * Disabled broken ALSA support (closes: #274151)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri,  8 Oct 2004 19:16:37 +0200

sox (12.17.5-3) unstable; urgency=low

  * removed free() call for ft->format in wav.c (closes: #267147)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 24 Aug 2004 10:57:44 +0200

sox (12.17.5-2) unstable; urgency=low

  * Fixed the dangling symlink problem (closes: #266301)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 17 Aug 2004 15:29:00 +0200

sox (12.17.5-1) unstable; urgency=low

  * New upstream release
  * moved to patch system (for Debian applied patches see debian/patches)
  * added watch file
  * added Homepage in control file

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Sun, 15 Aug 2004 22:28:45 +0200

sox (12.17.4-9) unstable; urgency=low

  * Applied security patch (http://secunia.com/advisories/12175/)
    (closes: 262083)
  * Applied patch to resample.c for correct function definitino (closes:
    262085) thanks to Adam Majer
  * Fixed vorbis debug output (closes: 250272)
  * patched vorbis.c to create correct comment entries (closes: 244163)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 30 Jul 2004 13:47:29 +0200

sox (12.17.4-8) unstable; urgency=low

  * patched wav.c with datalength patch. Thanks to Steven Critchfield
    (closes: 238794)
  * sox.1 manpage now documents the correct default bahaviour
    (logarithmic) for fade effect (closes: 140573)
  * Compand effect seems to be fixed upstream (closes: 216791)
  * remove documentation for split effect from manpage. split doesn't
    exist (closes: 220194)
  * Disabled passing of options to sox (for consistency) (closes:
    241653)
  * patched swap effect, fixes usage of swap with parameters 1 1
    (closes: 242051)
  * Updated play.1 man page (fixed wording)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon,  5 Apr 2004 11:12:48 +0200

sox (12.17.4-7) unstable; urgency=low


