=== debian/control ===
Source: sox
Section: sound
Priority: optional
Maintainer: Pascal Giard <pascal@debian.org>
Uploaders: Guenter Geiger (Debian/GNU) <geiger@debian.org>
Build-Depends: debhelper (>= 1.2.64), cdbs, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64]
Standards-Version: 3.7.2

Package: sox
Architecture: any
Depends: ${shlibs:Depends}
Description: Swiss army knife of sound processing
 SoX is a command line utility that can convert various formats of computer 
 audio files in to other formats. It can also apply various effects to these 
 sound files during the conversion. As an added bonus, SoX can play and record 
 audio files on several unix-style platforms.
 .
 SoX is able to handle formats like .ogg (vorbis), mp3, wav, aiff, voc, snd, au,
 gsm and several more.
 .
 Homepage: http://sox.sourceforge.net

Package: sox-dev
Architecture: any
Section: devel
Depends: sox (=${Source-Version}), ${shlibs:Depends}
Conflicts: libst-dev
Description: Development files for the SoX library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the development files for the SoX library.
 .
 Homepage: http://sox.sourceforge.net
