=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

DEB_TAR_SRCDIR := sox-13.0.0

include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_CONFIGURE_SCRIPT_ENV += CFLAGS="-fPIC -D_REENTRANT" LDFLAGS="-Wl,-z,defs"
DEB_CONFIGURE_EXTRA_FLAGS := --disable-lame --disable-shared
