=== debian/watch ===
version=2
http://heanet.dl.sourceforge.net/sourceforge/sox/sox-(.*)\.tar\.gz
