## sox 14.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+cmake_minimum_required(VERSION 2.4)
 include(CheckIncludeFiles)
 include(CheckFunctionExists)
 include(CheckLibraryExists)
@@ -32,13 +33,14 @@
 project(sox)
 
 if(CMAKE_COMPILER_IS_GNUCC)
-  add_definitions(-Wall -W -Wmissing-prototypes -Wstrict-prototypes -pedantic)
+  add_definitions(-D_FORTIFY_SOURCE=2 -Wall -W -Wmissing-prototypes -Wstrict-prototypes -pedantic)
 endif(CMAKE_COMPILER_IS_GNUCC)
 
 include(TestBigEndian)
 
 check_include_files("byteswap.h"         HAVE_BYTESWAP_H)
 check_include_files("inttypes.h"         HAVE_INTTYPES_H)
+check_include_files("glob.h"             HAVE_GLOB_H)
 check_include_files("io.h"               HAVE_IO_H)
 #check_include_files("ltdl.h"             HAVE_LTDL_H) # no plug-ins as yet
 check_include_files("stdint.h"           HAVE_STDINT_H)
@@ -46,13 +48,17 @@
 check_include_files("strings.h"          HAVE_STRINGS_H)
 check_include_files("sys/time.h"         HAVE_SYS_TIME_H)
 check_include_files("sys/timeb.h"        HAVE_SYS_TIMEB_H)
+check_include_files("sys/types.h"        HAVE_SYS_TYPES_H)
+check_include_files("sys/utsname.h"      HAVE_SYS_UTSNAME_H)
+check_include_files("termios.h"          HAVE_TERMIOS_H)
 check_include_files("unistd.h"           HAVE_UNISTD_H)
 
+check_function_exists("fmemopen"         HAVE_FMEMOPEN)
 check_function_exists("fseeko"           HAVE_FSEEKO)
 check_function_exists("gettimeofday"     HAVE_GETTIMEOFDAY)
+check_function_exists("mkstemp"          HAVE_MKSTEMP)
 check_function_exists("popen"            HAVE_POPEN)
 check_function_exists("strcasecmp"       HAVE_STRCASECMP)
-check_function_exists("strdup"           HAVE_STRDUP)
 check_function_exists("strrstr"          HAVE_STRRSTR)
 check_function_exists("vsnprintf"        HAVE_VSNPRINTF)
 
@@ -63,20 +69,40 @@
   set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} -lm)
 endif(NEED_LIBM)
 optional(EXTERNAL_GSM gsm/gsm.h gsm gsm_create "")
+optional(EXTERNAL_LPC10 lpc10/lpc10.h lpc10 lpc10_create "")
 optional(HAVE_ALSA alsa/asoundlib.h asound snd_pcm_open alsa)
 optional(HAVE_AMRNB amrnb/sp_dec.h amrnb Decoder_Interface_init amr-nb)
 optional(HAVE_AMRWB amrwb/dec.h amrwb D_IF_init amr-wb)
+if(CMAKE_COMPILER_IS_GNUCC)
+  optional(HAVE_OPENMP omp.h gomp omp_get_thread_num "")
+  if(HAVE_OPENMP)
+    add_definitions(-fopenmp)
+  endif(HAVE_OPENMP)
+endif(CMAKE_COMPILER_IS_GNUCC)
 optional(HAVE_ID3TAG id3tag.h id3tag id3_file_open "")
-optional(HAVE_LIBAO ao/ao.h ao ao_play ao)
+optional(HAVE_SNDIO CoreAudio/CoreAudio.h CoreAudio AudioHardwareGetProperty coreaudio)
+optional(HAVE_SNDIO sndio.h sndio sio_open sndio)
+optional(HAVE_AO ao/ao.h ao ao_play ao)
 optional(HAVE_FLAC FLAC/all.h FLAC FLAC__stream_encoder_new flac)
 optional(HAVE_MAD_H mad.h mad mad_stream_buffer mp3)
 optional(HAVE_LAME_LAME_H lame/lame.h mp3lame lame_init mp3)
 if (NOT HAVE_LAME_LAME_H)
   optional(HAVE_LAME_LAME_H lame.h mp3lame lame_init mp3)
 endif (NOT HAVE_LAME_LAME_H)
-optional(HAVE_SAMPLERATE_H samplerate.h samplerate src_simple rabbit)
-optional(HAVE_SNDFILE_H sndfile.h sndfile sf_open sndfile)
-optional(HAVE_SNDFILE_1_0_12 sndfile.h sndfile sf_open_virtual "")
+optional(HAVE_MAGIC magic.h magic magic_open "")
+#optional(HAVE_OGG_SPEEX speex/speex.h speex speex_decoder_init speex)
+optional(HAVE_PNG png.h png png_set_rows spectrogram)
+optional(HAVE_PULSEAUDIO pulse/simple.h pulse-simple pa_simple_new pulseaudio)
+optional(HAVE_SNDFILE sndfile.h sndfile sf_open sndfile)
+optional(HAVE_SNDFILE sndfile.h sndfile sf_open fap)
+optional(HAVE_SNDFILE sndfile.h sndfile sf_open mat4)
+optional(HAVE_SNDFILE sndfile.h sndfile sf_open mat5)
+optional(HAVE_SNDFILE sndfile.h sndfile sf_open paf)
+optional(HAVE_SNDFILE sndfile.h sndfile sf_open pvf)
+optional(HAVE_SNDFILE sndfile.h sndfile sf_open sd2)
+optional(HAVE_SNDFILE sndfile.h sndfile sf_open w64)
+optional(HAVE_SNDFILE sndfile.h sndfile sf_open xi)
+optional(HAVE_SNDFILE_1_0_12 sndfile.h sndfile sf_open_virtual caf)
 optional(HAVE_SUN_AUDIOIO_H sun/audioio.h c ioctl sunaudio)
 if (NOT HAVE_SUN_AUDIOIO_H)
   optional(HAVE_SYS_AUDIOIO_H sys/audioio.h c ioctl sunaudio)
@@ -87,10 +113,33 @@
 endif (NOT HAVE_SYS_SOUNDCARD_H)
 optional3(HAVE_OGG_VORBIS vorbis/codec.h vorbis vorbis_analysis_headerout vorbisfile ov_clear vorbisenc vorbis_encode_init_vbr vorbis)
 optional3(HAVE_FFMPEG ffmpeg/avformat.h avformat av_open_input_file avutil av_rescale_q avcodec avcodec_decode_audio2 ffmpeg)
+optional(HAVE_WAVPACK wavpack/wavpack.h wavpack WavpackGetSampleRate wavpack)
 
-subdirs(src lpc10)
+if (HAVE_LAME_LAME_H OR HAVE_MAD_H)
+  set(HAVE_MP3 1)
+endif (HAVE_LAME_LAME_H OR HAVE_MAD_H)
+
+set(CMAKE_REQUIRED_LIBRARIES mp3lame m)
+check_function_exists("lame_set_VBR_quality" HAVE_LAME_SET_VBR_QUALITY)
+check_function_exists("id3tag_set_fieldvalue" HAVE_ID3TAG_SET_FIELDVALUE)
+
+if (HAVE_SUN_AUDIOIO_H OR HAVE_SYS_AUDIOIO_H)
+  set(HAVE_SUN_AUDIO 1)
+endif (HAVE_SUN_AUDIOIO_H OR HAVE_SYS_AUDIOIO_H)
+
+if (HAVE_SYS_SOUNDCARD_H OR HAVE_MACHINE_SOUNDCARD_H)
+  set(HAVE_OSS 1)
+endif (HAVE_SYS_SOUNDCARD_H OR HAVE_MACHINE_SOUNDCARD_H)
+
+configure_file(sox.pc.in sox.pc @ONLY)
+install_files(/lib/pkgconfig FILES sox.pc)
+
+subdirs(src)
 
 if (NOT EXTERNAL_GSM)
   add_subdirectory(libgsm)
 endif (NOT EXTERNAL_GSM)
 
+if (NOT EXTERNAL_LPC10)
+  add_subdirectory(lpc10)
+endif (NOT EXTERNAL_LPC10)
